<?session_start();?>
<?



$uid = $_GET['uid'];
$p = $_GET['p'];
// Переменная хранит число сообщений выводимых на станице  
$num = 10;  
$t = time();
// Извлекаем из URL текущую страницу  
$page = $_GET['page'];  
// Определяем общее число сообщений в базе данных  
$result = mysql_query("SELECT COUNT(*) FROM users WHERE NICK!=\"$_SESSION[s]\" AND $t-gametime<600");  
$posts = mysql_result($result, 0);  
// Находим общее число страниц  
$total = intval(($posts - 1) / $num) + 1;  
// Определяем начало сообщений для текущей страницы  
$page = intval($page);  
// Если значение $page меньше единицы или отрицательно  
// переходим на первую страницу  
// А если слишком большое, то переходим на последнюю  
if(empty($page) or $page < 0) $page = 1;  
  if($page > $total) $page = $total;  
// Вычисляем начиная к какого номера  
// следует выводить сообщения  
$start = $page * $num - $num;  
// Выбираем $num сообщений начиная с номера $start  
$result = mysql_query("SET NAMES cp1251");
$result = mysql_query("SELECT * FROM users WHERE NICK!=\"$_SESSION[s]\" AND $t-gametime<600 LIMIT $start, $num");  

// В цикле переносим результаты запроса в массив $postrow  
while ( $postrow[] = mysql_fetch_array($result))  
?>









<?






  


?>

<?
for($i = 0; $i < $num; $i++)  
{  
 
         
echo"";
$resc = mysql_num_rows($result);
if($i<$resc){
$io = $postrow[$i]['NICK'];
echo "<div style=\"border:1px dotted\"><div class=\"menu\"><li><a href=\"game.php?p=menu&uid=$io\"><img src=\"img/star.png\"> 
<b><font color=\"#a23232\">".$postrow[$i]['NICK']."</a> </div></font></b>";
if($ItemsNo==0){




$odev = mysql_query("SELECT * FROM users WHERE NICK=\"$uid\" AND $t-gametime<600"); 
while($odev2 = mysql_fetch_assoc($odev)){
if($p == menu AND $uid == $io){
echo"

<div style=\"padding:5px\"><b>

<a href=\"attack.php?menu=1odev2[ID_IL]&page=$page\"><img src=\"img/attck.png\"> АТАКОВАТЬ</a> 
| <a href=\"game.php\">ИНФО</a> |
<a href=\"game.php\">В ДРУЗЬЯ</a>| <a href=\"game.php\">+В КЛАН</a> |  <a href=\"game.php\">ОБМЕН</a></b> </div>";
if($odev2[IL_KEY] == 'i.ruda' OR $odev2[IL_CLASS] == 'stone' AND $i<$resc){echo"

<div style=\"padding:5px\"><b>

 <a href=\"game.php?li=$odev2[IL_KEY]&idT=$odev2[ID_IL]&page=$page\">ИНФО</a> |
<a href=\"inv.php?drp&idT=$odev2[ID_IL]&page=$page\">ВЫБРОСИТЬ</a></b></div>";}
}
}

echo"</div>";
}

}
if(mysql_num_rows($result)<1 AND $i<1){echo"<div style=\"background:#a23232;height:30px;padding-bottom:0px\">
<center><b><font color=\"#FFE7BA\"><div style=\"padding:6px\">У вас нет не одного предмета</div></font></b></center></div>";}

}

?>


<? 
// Проверяем нужны ли стрелки назад  
if ($page != 1) $pervpage = '<a href= ./inv.php?page=1><<</a>  
                               <a href= ./inv.php?page='. ($page - 1) .'><</a> ';  
// Проверяем нужны ли стрелки вперед  
if ($page != $total) $nextpage = ' <a href= ./inv.php?page='. ($page + 1) .'>></a>  
                                   <a href= ./inv.php?page=' .$total. '>>></a>';  

// Находим две ближайшие станицы с обоих краев, если они есть  
if($page - 2 > 0) $page2left = ' <a href= ./inv.php?page='. ($page - 2) .'>'. ($page - 2) .'</a> | ';  
if($page - 1 > 0) $page1left = '<a href= ./inv.php?page='. ($page - 1) .'>'. ($page - 1) .'</a> | ';  
if($page + 2 <= $total) $page2right = ' | <a href= ./inv.php?page='. ($page + 2) .'>'. ($page + 2) .'</a>';  
if($page + 1 <= $total) $page1right = ' | <a href= ./inv.php?page='. ($page + 1) .'>'. ($page + 1) .'</a>'; 

// Вывод меню  
echo $pervpage.$page2left.$page1left.'<b>'.$page.'</b>'.$page1right.$page2right.$nextpage;  
?>
  
<?






